package com.ruoyi.system.service.projectV2;

import com.ruoyi.system.domain.projectV2.ZsyzKgxx;

import java.util.List;

/**
 * 招商引资_开工信息Service接口
 * 
 * @author boman
 * @date 2023-02-22
 */
public interface IZsyzKgxxService 
{
    /**
     * 查询招商引资_开工信息
     * 
     * @param id 招商引资_开工信息ID
     * @return 招商引资_开工信息
     */
    public ZsyzKgxx selectZsyzKgxxById(Long id);

    /**
     * 查询招商引资_开工信息列表
     * 
     * @param zsyzKgxx 招商引资_开工信息
     * @return 招商引资_开工信息集合
     */
    public List<ZsyzKgxx> selectZsyzKgxxList(ZsyzKgxx zsyzKgxx);

    /**
     * 新增招商引资_开工信息
     * 
     * @param zsyzKgxx 招商引资_开工信息
     * @return 结果
     */
    public int insertZsyzKgxx(ZsyzKgxx zsyzKgxx);

    /**
     * 修改招商引资_开工信息
     * 
     * @param zsyzKgxx 招商引资_开工信息
     * @return 结果
     */
    public int updateZsyzKgxx(ZsyzKgxx zsyzKgxx);

    /**
     * 批量删除招商引资_开工信息
     * 
     * @param ids 需要删除的招商引资_开工信息ID
     * @return 结果
     */
    public int deleteZsyzKgxxByIds(Long[] ids);

    /**
     * 删除招商引资_开工信息信息
     * 
     * @param id 招商引资_开工信息ID
     * @return 结果
     */
    public int deleteZsyzKgxxById(Long id);
}
